<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3061
Name: Antikoagulation
Description: Antikoagulation, die Verwendung des Freitextfelds "Sonstiges" ist nicht für den niedergelassenen Arzt vorgesehen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3061-2015-04-29T000000">
   <title>Antikoagulation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3061
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]
Item: (Antikoagulation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3061
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']
Item: (Antikoagulation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']"
         id="tmp-r-5f1300df-6ce5-453a-8ae3-b833591ac573">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3061'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3061']/@nullFlavor)">(Antikoagulation): Element hl7:templateId[@root='1.2.276.0.76.10.3061'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3061'])&lt;=1">(Antikoagulation): Element hl7:templateId[@root='1.2.276.0.76.10.3061'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:id)&lt;=1">(Antikoagulation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Antikoagulation): Element hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Antikoagulation): Element hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Antikoagulation): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:title)&lt;=1">(Antikoagulation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Antikoagulation): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="count(hl7:text)&lt;=1">(Antikoagulation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3061
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:templateId[@root='1.2.276.0.76.10.3061']
Item: (Antikoagulation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:templateId[@root='1.2.276.0.76.10.3061']"
         id="tmp-r-0c46953b-7f51-4620-9bc3-16f045dc3e0a">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antikoagulation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3061')">(Antikoagulation): Der Wert von @root MUSS '1.2.276.0.76.10.3061' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3061
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:id
Item: (Antikoagulation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:id"
         id="tmp-r-8bb1f56f-12b4-4edf-b5e7-6c8b00fcf8ee">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antikoagulation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3061
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Antikoagulation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-2477ee31-c9e5-48a2-95dc-0e6c6bc48a69">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antikoagulation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="@nullFlavor or (@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')">(Antikoagulation): Der Elementinhalt MUSS einer von 'code '34856-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3061
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:title
Item: (Antikoagulation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:title"
         id="tmp-r-43d261ad-cce7-4615-9ada-1210eb935448">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antikoagulation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="text()='Angaben zur Antikoagulation'">(Antikoagulation): Der Elementinhalt von 'hl7:title' MUSS ''Angaben zur Antikoagulation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3061
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:text
Item: (Antikoagulation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3061']/hl7:text"
         id="tmp-r-7a698d7b-1612-43ed-8fdb-51ebe51bff14">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3061-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antikoagulation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
