<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3065
Name: Aktuelle Versorgung
Description: Überschrift auf dem Papierdokument ist:  Informationen zur aktuellen Versorgung 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3065-2015-04-30T000000">
   <title>Aktuelle Versorgung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3065
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]
Item: (AktuelleVersorgung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3065
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']"
         id="tmp-r-bea1660f-74fd-4c1d-9b3d-90fb9275fe8e">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3065'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3065']/@nullFlavor)">(AktuelleVersorgung): Element hl7:templateId[@root='1.2.276.0.76.10.3065'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3065'])&lt;=1">(AktuelleVersorgung): Element hl7:templateId[@root='1.2.276.0.76.10.3065'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:id)&lt;=1">(AktuelleVersorgung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:code)&lt;=1">(AktuelleVersorgung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(AktuelleVersorgung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:title)&lt;=1">(AktuelleVersorgung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AktuelleVersorgung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="count(hl7:text)&lt;=1">(AktuelleVersorgung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3065
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:templateId[@root='1.2.276.0.76.10.3065']
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:templateId[@root='1.2.276.0.76.10.3065']"
         id="tmp-r-1b2f5baa-067a-4b5f-a471-7611a2844913">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3065')">(AktuelleVersorgung): Der Wert von @root MUSS '1.2.276.0.76.10.3065' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3065
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:id
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:id"
         id="tmp-r-ec1105fe-eb15-40d5-9004-73c2974e9a13">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3065
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:code
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:code"
         id="tmp-r-5d719046-3eed-4d9a-86c3-d07559ca22ae">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="@nullFlavor or (@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1')">(AktuelleVersorgung): Der Elementinhalt MUSS einer von 'code '10210-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3065
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:title
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:title"
         id="tmp-r-801f88da-eb52-4b24-ae8a-942a8fcfe8f9">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="text()='Information zur aktuellen Versorgung'">(AktuelleVersorgung): Der Elementinhalt von 'hl7:title' MUSS ''Information zur aktuellen Versorgung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3065
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:text
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3065']/hl7:text"
         id="tmp-r-0230eae5-ae80-48d3-9380-2bcc045bb0bc">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3065-2015-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
