<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3067
Name: Entlassungsdiagnose
Description: Diagnose(n), mit der der Patient entlassen wurde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3067-2013-12-30T000000">
   <title>Entlassungsdiagnose</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3067
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]
Item: (Entlassdiagnopse)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3067
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']
Item: (Entlassdiagnopse)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']"
         id="tmp-r-42064d52-d548-4e3b-829f-2db555d5d48f">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3067'])&gt;=1 ">(Entlassdiagnopse): Element hl7:templateId[@root='1.2.276.0.76.10.3067'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3067'])&lt;=1">(Entlassdiagnopse): Element hl7:templateId[@root='1.2.276.0.76.10.3067'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Entlassdiagnopse): Element hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Entlassdiagnopse): Element hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Entlassdiagnopse): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:title)&lt;=1">(Entlassdiagnopse): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Entlassdiagnopse): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="count(hl7:text)&lt;=1">(Entlassdiagnopse): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3067
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:templateId[@root='1.2.276.0.76.10.3067']
Item: (Entlassdiagnopse)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:templateId[@root='1.2.276.0.76.10.3067']"
         id="tmp-r-5383730b-57df-41b0-94d2-e7b082fd3fef">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassdiagnopse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3067')">(Entlassdiagnopse): Der Wert von @root MUSS '1.2.276.0.76.10.3067' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3067
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Entlassdiagnopse)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-352adff7-c181-41fe-80d1-cee34dd628f9">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassdiagnopse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(Entlassdiagnopse): Der Elementinhalt MUSS einer von 'code '11535-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3067
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:title
Item: (Entlassdiagnopse)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:title"
         id="tmp-r-23992be8-cd1e-4ee1-b1de-457c85382b45">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassdiagnopse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="text()='Hauptdiagnose / Nebendiagnosen'">(Entlassdiagnopse): Der Elementinhalt von 'hl7:title' MUSS ''Hauptdiagnose / Nebendiagnosen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3067
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:text
Item: (Entlassdiagnopse)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3067']/hl7:text"
         id="tmp-r-449c0e22-a8be-43e3-b821-cfdd6ba74331">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3067-2013-12-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassdiagnopse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
